// SYSTEM TEXTURES ===========================

textures/notuh-a2/skybox
{
	qer_editorimage env/notuh-a2/dawn_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//	q3map_sun 0.3 0.3 0.4 10 135 45	
	q3map_skylight 32 3
	q3map_globaltexture
	skyparms env/notuh-a2/dawn - -
}

textures/notuh-a2/cemskybox
{
	qer_editorimage textures/notuh-a2/sky_cem.jpg
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .6 .72 .77 1 30 30
	//q3map_surfacelight 25
	q3map_surfacelight 30
	q3map_skylight 32 3
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>

	skyparms env/notuh-a2/sky 2048 -
	nopicmip
	nomipmaps
	{
		map textures/notuh-a2/sky_cem.jpg
		tcMod scale 1 1
		tcMod scroll 0.005 -0.0025
		rgbGen identityLighting
	}
}

textures/notuh-a2/sh-fence00
{ 
	qer_editorimage textures/notuh-a2/fence00.tga
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm trans   
  surfaceparm nomarks
  surfaceparm nonsolid
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
        map textures/notuh-a2/fence00.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/notuh-a2/sh-fence00-noclip
{ 
	qer_editorimage textures/notuh-a2/fence00.tga
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm trans   
  surfaceparm nomarks
  surfaceparm nonsolid
}

textures/notuh-a2/sh-fence01
{ 
	qer_editorimage textures/notuh-a2/fence01.tga
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nonsolid
	
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
        map textures/notuh-a2/fence01.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/notuh-a2/sh-forrest
{ 
	qer_editorimage textures/notuh-a2/forrest.tga
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	{ 
        map textures/notuh-a2/forrest.tga
   		alphaFunc GE128  
   		depthwrite
		rgbGen identity   
	} 
	{
		map $lightmap 
		depthFunc equal
		rgbGen vertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/notuh-a2/fog
{
	qer_trans .5
	qer_editorimage textures/notuh-a2/glass.jpg
	surfaceparm fog
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_nocarve
	fogparms ( 0.07 0.07 0.05 ) 800
}

textures/notuh-a2/sh-ladder
{
  qer_trans .5
  qer_editorimage textures/notuh-a2/ladder.jpg
  surfaceparm ladder
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm metalsteps
}


// GLASS AND SUCH CRAP =====================

textures/notuh-a2/sh-glass
{
  qer_editorimage textures/notuh-a2/glass.jpg
  surfaceparm nomarks
  surfaceparm trans
  {
    map textures/notuh-a2/glass.jpg
    blendfunc add
    rgbGen const ( 0.1 0.1 0.1 )
  }
  {
    map $lightmap 
    blendfunc gl_dst_color gl_src_alpha
    rgbGen identity
    tcGen lightmap 
  }
}

textures/notuh-a2/coolwater
{
	qer_editorimage textures/notuh-a2/water.jpg
	qer_trans .5
	q3map_lightimage textures/notuh-a2/water.jpg
	q3map_globaltexture

	surfaceparm nobuild
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog
	fogparms ( 0.01 0.01 0.01 ) 200

	cull disable
	deformVertexes wave 256 sin .25 .25 0 .2	
	{ 
		map textures/notuh-a2/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/notuh-a2/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/notuh-a2/water
{
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/notuh-a2/water_bluish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/notuh-a2/water_redish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

textures/notuh-a2/water_nodraw
{
	qer_editorimage textures/notuh-a2/water.jpg
	qer_trans .4
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
}

// SURFACE

// ALPHA SPECIFIC SHADERS

textures/notuh-a2/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/notuh-a2/sh_mossdirt	// Middle ground
{
    qer_editorimage textures/notuh-a2/ter_dirtmud.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	
	{
		map textures/notuh-a2/ter_moss1.tga	// Primary
		rgbGen identity
	}
	{
		map textures/notuh-a2/ter_dirt1.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}